import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:cm_test_plugin_package/cm_test_plugin_package.dart';

void main() {
  const MethodChannel channel = MethodChannel('cm_test_plugin_package');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await CmTestPluginPackage.platformVersion, '42');
  });
}
